/*
 Theme Name:   Twenty Twenty-One Child
 Template:     twentytwentyone
*/

@import url("../twentytwentyone/style.css");

/* Din egen anpassade CSS börjar här */

body {
    display: flex;
}

.site-main h1,h2,h3,h4,h5,h6 {
	margin-top: 0;
	margin-bottom: 10px;
}

#masthead {
	height: 49px !important;
	padding: 20px !important;
	width: 100% !important;
	max-width: unset;
}

.site-header {
	position: fixed;
	top: 0;
	left: 260px;
	background-color: #eee !important;
}

#content {
	position: fixed;
	top: 50px;
	left: 260px;
	padding: 20px 40px;
}

.sidebar {
	position: fixed;
	top: 0;
	left: 0;
    width: 250px;
    background-color: #eeeeee;
    color: white;
    transition: left 0.3s ease;
    z-index: 1000;
	margin-top: 0 !important;
}

#sidebar_outer {
	overflow-y: scroll; /* Visar en vertikal scrollbar om innehållet överstiger höjden */
    overflow-x: hidden; /* Döljer horisontell scrollbar om inte behövs */
	height: 100%;
}

.menu-toggle {
    cursor: pointer;
    padding: 10px;
    color: #000;
    position: fixed;
    left: 3px;
    top: 2px;
    z-index: 1100;
	display: none;
}

.menu-close {
    cursor: pointer;
    padding: 10px 10px 0 10px;
    position: relative;
    left: 230px;
    top: 0;
    z-index: 1200;
	visibility: hidden;
}

.content {
    margin-left: 0;
    flex-grow: 1;
    transition: margin-left 0.3s ease;
}

.toplogo {
	width: 245px;
	padding-left: 10px;
	padding-top: 0;
}

#content {
	overflow-y: scroll; /* Visar en vertikal scrollbar om innehållet överstiger höjden */
    overflow-x: hidden; /* Döljer horisontell scrollbar om inte behövs */
	height: 100%;
	width: calc(100% - 260px);
}

/* När sidopanelen är synlig */
.sidebar.open {
    left: 0;
}

.content.shifted {
    margin-left: 260px;
}

/* Döljer menyknappen när sidopanelen är öppen */
.menu-toggle.hidden {
    display: none !important;
}

#tma-login-outerdiv {
	margin-top: 40px;
	margin-left: auto;
	margin-right: auto;
}

#tma-login-innerdiv {
    background-color: #f7f7f7;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

#tma-login-form {
}

#tma-login-form .input, 
#tma-login-form input[type="text"], 
#tma-login-form input[type="password"] {
    border: 1px solid #ddd;
    padding: 10px;
    width: 100%;
    box-sizing: border-box;
    border-radius: 4px;
    font-size: 14px;
}

#tma-login-form .button-primary {
    background-color: #0073aa;
    border-color: #006799;
    color: #fff;
    padding: 10px 20px;
    border-radius: 4px;
    text-shadow: none;
    box-shadow: none;
}



/* Döljer sidopanelen i mobilt läge */
@media screen and (max-width: 850px) {
    .sidebar {
		position: fixed;
		top: 0;
		bottom: 0;
        left: -260px; /* Gömmer sidopanelen */
    }
    
    .sidebar.open {
        left: 0;
    }

    .content {
        margin-left: 0;
    }
	
	.menu-toggle {
		display: block;
	}
	
.site-header {
	left: 0;
	width: 1024px;
}

#content {
	left: 0;
	width: 100%;
}

.menu-close {
	visibility: visible;

}

}




.tm_table {
	
}
.tm_table td {
	text-align: center;
}

.tm_table_head {

}

.tm_table_head th {
	font-weight: bold;
}

.tm_table_row {
	cursor: pointer;
}

.tm_table_row:hover {
	background-color: #eee;
}

.tm_table_info {
	width: unset;
	border: none;
}

.tm_table_info td {
	border: none;
	padding: 2px;
}

.tm_table_info .col1 {
	padding-right: 20px;
}

.tm_longinfo_outer_div {
	border: 1px solid #ccc;
	padding: 10px;
	border-radius: 8px;
	max-width: 500px;
	height: 150px;
	overflow: hidden;
	overflow-y: scroll;
}

.tm_longinfo_inner_div {
	line-height: normal;
	font-size: 13px;
}

.tm_mobile {
	display: none;
}

.tm_mobile_pills {
	background-color: #fcfcfc;
	border: 1px solid #ccc;
	padding: 10px;
	border-radius: 8px;
	width: 100%;
	cursor: pointer;
}

.tm_mobile_pills:hover {
	background-color: #eee;
}

#tm_dashboard_mobile {
	display: none;
	text-align: center;
}

@media screen and (max-width: 850px) {
#tm_dashboard_mobile {
	display: block;
}
}

@media screen and (max-width: 620px) {
.tm_wide {
	display: none;	
}

.tm_mobile {
	display: block;
}

#content {
	padding: 0 20px;
}

}